Bug 465614 - Wireless networks not available
Wireless networks not available
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 11:36 EDT by Piotr Wojciechowski
Modified: 2008-10-19 11:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-19 11:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Wojciechowski 2008-10-04 11:36:41 EDT
Description of problem:

After upgrading to NetworkManager-0.7.0-0.11.svn4022.4.fc8 wireless networks are not available. 

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.11.svn4022.4.fc8.x86_64.rpm
NetworkManager-glib-0.7.0-0.11.svn4022.4.fc8.x86_64.rpm
NetworkManager-gnome-0.7.0-0.11.svn4022.4.fc8.x86_64.rpm
NetworkManager-openvpn-0.7.0-15.svn4027.fc8.x86_64.rpm
NetworkManager-vpnc-0.7.0-0.10.svn4024.fc8.x86_64.rpm

How reproducible:

After booting system in dmesg you can see:

b43-phy0: Loading firmware version 410.2160 (2007-05-26 15:32:10)
b43-phy0 debug: Chip initialized
b43-phy0 debug: 64-bit DMA initialized
Registered led device: b43-phy0::tx
Registered led device: b43-phy0::rx
Registered led device: b43-phy0::radio
b43-phy0 debug: Wireless interface started
b43-phy0 debug: Adding Interface type 2
ADDRCONF(NETDEV_UP): wlan0: link is not ready

wlan0 interface is down and NetworkManager don't see any wireless networks. After issuing 'ifconfig wlan0 up' you can list wireless networks via 'iwlist wlan0 scan' but NetworkManager still don't see them. Restarting NetworkManager process doesn't solve the problem, Wireless Networks are listed as 'device unmanaged'

Problem seems not related to kernel, same problems occurs on kernel-2.6.25.14-69.fc8 and kernel-2.6.26.5-28.fc8. Wireless card is using b43 driver.

Steps to Reproduce:
1. Start system
2. Try to use wireless
3.
  
Actual results:

Wireless networks are not available in NetworkManager

Expected results:

List of available wireless networks

Additional info:
Comment 1 Piotr Wojciechowski 2008-10-19 11:48:25 EDT
I found that with installing new NetworkManager wireless card becomes unmanaged in system configuration. Sadly no release info were issued about that. After checking appropriate checkbox in configuration wireless card is working properly again.

Note You need to log in before you can comment on or make changes to this bug.